:host {
	z-index: 2;

	mat-toolbar {
		display: grid;
		grid-template-columns: min-content min-content 1fr min-content;
		grid-auto-rows: 32px;
		gap: 8px;

		align-content: center;
		height: min-content;
		padding-top: 16px;
		padding-bottom: 16px;

		span {
			overflow: auto;
			text-overflow: ellipsis;
		}

		mat-chip-list {
			grid-column: 1 / 4;

			::ng-deep .mat-chip-list-wrapper {
				flex-wrap: nowrap;
			}
		}

		.buttons {
			display: grid;
			grid-auto-flow: column;
			grid-auto-columns: min-content;
			gap: 8px;
		}
	}
}
